Bug 485730 - API Enhancement - add system.listActivationKeys
API Enhancement - add system.listActivationKeys
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: API (Show other bugs)
0.5
All Linux
low Severity medium
: ---
: ---
Assigned To: Brad Buckingham
Red Hat Satellite QA List
:
Depends On:
Blocks: space05
  Show dependency treegraph
 
Reported: 2009-02-16 11:12 EST by Brad Buckingham
Modified: 2009-09-17 03:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:10:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Buckingham 2009-02-16 11:12:26 EST
Description of problem:

Add an API to enable a user to list the activation keys that were used to register a given system.

Version-Release number of selected component (if applicable):


How reproducible:
Always.  There is no API that provides this capability.

Steps to Reproduce:
1. view the API docs for the 'system' handler... 
2.
3.
  
Actual results:
n/a

Expected results:

expect to see an API such as 
system.listActivationKeys(String sessionKey, int systemId) that returns a list of activation keys (string) used during the registration of the system.
Comment 1 Brad Buckingham 2009-02-16 11:19:36 EST
git commit: 2b8dbac4bd23e5aed0cac88f969c0a754f8b64fb

Method: listActivationKeys
Description:
List the activation keys the system was registered with. An empty list will be returned if an activation key was not used during registration.

Parameters:

    * string sessionKey
    * int serverId

Returns:

    * array:
          o string - key
Comment 2 Jesus M. Rodriguez 2009-04-14 10:13:08 EDT
Spacewalk 0.5 released.
Comment 3 Miroslav Suchý 2009-09-17 03:10:26 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.